.faq {
  &-list {
    border-left: 1px solid rgba(#fff, 0.6);
    padding-left: 35px;
    @include respond-max('mobile') {
      padding-left: 15px;
    }
  }

  &-item {
    padding-bottom: 20px;
    @include respond-max('mobile') {
      padding-bottom: 16px;
    }
  }
}

.faq-item {
  position: relative;

  &::before {
    content: '';
    position: absolute;
    left: -36px;
    top: 0;
    bottom: 100%;
    display: block;
    width: 1px;
    background-color: #d60062;
    z-index: 1;
    transition: 0.7s ease-out;
    @include respond-max('mobile') {
      left: -16px;
    }
  }

  &__head {
    display: flex;
    cursor: pointer;
  }

  &__title {
    font-size: 32px;
    line-height: 38px;
    font-family: 'optima', sans-serif;
    @include respond-max('mobile') {
      font-size: 20px;
      line-height: 26px;
    }
  }

  &__icon {
    position: relative;
    margin-right: 20px;
    min-width: 20px;
    width: 20px;

    @include respond-max('mobile') {
      margin-right: 14px;
      min-width: 14px;
      width: 14px;
    }

    .icon {
      position: absolute;
      top: 10px;
      left: 0;
      width: 20px;
      height: 20px;
      transition: 0.5s ease-out;
      @include respond-max('mobile') {
        width: 14px;
        height: 14px;
      }
    }

    .icon-minus {
      opacity: 0;
    }
  }

  &__content {
    padding-top: 20px;
    @include respond-max('mobile') {
      padding-top: 16px;
    }
  }

  &.is-open {
    &:before {
      bottom: 0;
    }

    .icon {
      color: #d60062;
      transform: rotate(180deg);
    }

    .icon-plus {
      opacity: 0;
    }

    .icon-minus {
      opacity: 1;
    }
  }
}
